TARGET_OS = "linux"
DISTRO = "angstrom-2008.1"

# where to put downloaded source archives
DL_DIR = "${OE_HOME}/sources"

# directory where all output will be generated. TMPDIR/deploy/images is interesting
TMPDIR = "${OE_HOME}/zipit2-tmp"

ENABLE_BINARY_LOCALE_GENERATION = "0"

# enable parallel make, -j 2 is no of processors i.e. 2.
# remove this if you are on a single processor machine.
PARALLEL_MAKE = "-j 2"
BB_NUMBER_THREADS="8"

# prevents checking of downloads against checksums.ini
# this can have unexpected consequences if a download breaks
# but does mean that we do not need to alter the OE git tree
# for any new packages we wish to build. 
OE_ALLOW_INSECURE_DOWNLOADS = "1" 

PREFERRED_PROVIDERS += " virtual/xserver:xserver-kdrive"
PREFERRED_PROVIDERS += " virtual/libsdl:libsdl-x11"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc-initial:gcc-cross-initial"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc:gcc-cross"
PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}g++:gcc-cross"

IMAGE_FSTYPES = "tar"
IMAGE_PKGTYPE = "ipk"

# set up the zipit specific serial console output
SERIAL_CONSOLE = "-L ttyS2 115200 vt100"

